Overview | Modules | Class Hierarchy | Classes | Members

Classes | Typedefs
Observable

## Classes

- class tlp::Event
    Event is the base class for all events used in the Observable/listener/Observer mechanism. More...
- class tlp::ObservableException
    ObservableException is the base class of all exceptions sent by the Observable/Listener/Observer system. More...
- class tlp::Observable
    Observable is the base class for the implementation of observable Object by Listener or Observer objects. More...
- class ObservableObject
    ObservableObject is the base class of the Observable/Listener/Observer object hierachy. It manages storage of a unique id for these objects as well as the storage of relations between them. It also manages destruction of these objects. More...

## Typedefs

- typedef _DEPRECATED Observable tlp::Observer

## Typedef Documentation

typedef _DEPRECATED Observable tlp::Observer

Tulip Software by LaBRI Visualization Team 2001 - 2012